import { flags } from '@oclif/command';
import Base from '../base';
export default class Create extends Base {
    static description: string;
    static examples: string[];
    static flags: {
        from: flags.IOptionFlag<string>;
        verbose: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    name: string;
    type: string;
    framework: string;
    rdc: string;
    rdcRepo: string;
    from: string;
    preInit(): Promise<{
        from: string;
        verbose: boolean;
    }>;
    initialize(): Promise<void>;
    preRun(): Promise<void>;
    run(): Promise<void>;
    postRun(): Promise<void>;
    ask(): Promise<void>;
}
