import Base from '../base';
export default class RunBase extends Base {
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    static flags: {
        watch: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        verbose: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    type: string;
    cmd: string;
    watch: boolean;
    preInit(): Promise<any>;
    initialize(): Promise<void>;
    run(): Promise<void>;
}
