"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const base_1 = require("../base");
const util_1 = require("../util");
const run_1 = require("./run");
class Lint extends base_1.default {
    async run() {
        const { flags } = this.parse(Lint);
        const list = util_1.default.restoreFlags(flags);
        await run_1.default.run(['lint', ...list]);
    }
}
Lint.examples = [
    '$ rde lint',
];
exports.default = Lint;
